API ReferenceapiclinicalGET /v1/physicians

GET /v1/physicians

Service: clinical · operationId: (none)

List BYO physicians registered with Junction.

Required scopes

(no scope declared — review service config)

Responses

200 Physician list

{
  "type": "object",
  "properties": {
    "physicians": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "name": {
            "type": "string"
          },
          "email": {
            "type": "string"
          },
          "npi": {
            "type": "string"
          },
          "license_state": {
            "type": "string"
          },
          "state_license": {
            "type": "string"
          },
          "clep_permit_number": {
            "type": [
              "string",
              "null"
            ]
          },
          "junction_physician_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "status": {
            "type": "string",
            "enum": [
              "active",
              "inactive",
              "pending"
            ]
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "name",
          "email",
          "npi",
          "license_state",
          "state_license",
          "clep_permit_number",
          "junction_physician_id",
          "status",
          "created_at"
        ]
      }
    },
    "covered_states": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "physicians",
    "covered_states"
  ]
}

Example

curl -X GET https://clinical.platform.loop.health/v1/physicians \
  -H "Authorization: Bearer $ACCESS_TOKEN"